

/*  Accent Color for Site: #fbbc05  */
.SiteText {
    color: #1967d2 !important;
}


/*

IMPORTANT!!! This has to be 
above the same class name in the 
media query; otherwise, it won't get 
overridden by it.

*/

.headerQuote {
    padding-left: 40px;
}


.formInput {
}


.overlayTextContainer {
    left: 10% !important;
    top: 60% !important;
    width: 400px;
    height: 200px;
    background: rgba(25, 103, 210, 0.35);
    color: #fff;
    border-radius: 1rem;
}

.overlayText {
    color: white;
    font-weight: bold;
    font-size: 1.75em;
}

/* this is to try and make the text for the heading drop down when shown on a mobile devic */
@media screen and (max-width: 768px) {
    .pageHeader {
        padding-top: 10px !important; /* Adjust as needed */
    }

    .headerContainer {
        flex-direction: column;
    }

    .headerQuote {
        padding-top: 20px;
        padding-left: 0px;
    }

    .formInput {
        width: 95%;
    }

    .overlayTextContainer {
        left: 2% !important;
        top: 50% !important;
        width: 180px;
        height: 100px;
        background: rgba(25, 103, 210, 0.35);
        color: #fff;
        border-radius: 1rem;
    }

    .overlayText {
        color: white;
        font-weight: bold;
        font-size: 1em;
        margin-top:10px;
    }

    .subHeadList {
        margin-left: -55px;
        padding-top: 10px;
    }
}

.multiColHeader {
    display: flex;
    align-items: center;
}

.checkInput {
    margin-right: 10px;
}

.textInput {
    margin-right: 10px;
}

.siteLogo {
    width: 120px !important; /* Increase the size */
    height: auto !important; /* Maintain aspect ratio */
}

.VolunteerIcon {
    width: 50px;
    height: 50px;
    font-size: 2em;
    line-height: 3.2rem !important;
}

.SponsorTile {
    min-height: 255px !important;
}

.circle-border {
    border: 2px solid #1967d2; /* Border thickness and color */
    border-radius: 50%; /* Makes the border circular */
    display: flex;
    align-items: center; /* Centers content vertically */
    justify-content: center; /* Centers content horizontally */
}

.AboutSliderPicDiv {
    display: grid;
    place-items: center;
    margin-bottom: 30px;
}
.AboutImg {
    height:280px;
    width:255px;
}

.CTAButton {
    padding: 10px;
    margin:20px;
}


.PageSection {
    padding-top:4rem !important;
}

.InfoBoxIcon{
    width: 64px;
    height: 64px;
}


.PostImage {
    height: 96px;
    width: 96px;
}

.ReactionImage {
    height: 48px;
}

.ReplyImage {
    height:48px;
}

.ReactionLabel {
    font-size: large;
    font-weight: bold;
}

.FlagPost {
    margin-left: 25px;
    cursor: pointer;
}

.PostStats {
    max-width: 64px;
    min-width: 48px;
    padding: 0px;
}

.icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%; /* Adjust as needed */
}

.spinner-overlay {
    position: fixed;
    top: 300px;
    left: 300px;
    width: 50%;
    height: 50%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    backdrop-filter: blur(5px);
}

.spinner {
    border: 8px solid rgba(0, 0, 0, 0.1);
    border-top: 8px solid #000;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes clickAnimation {
    0% {
        box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.5);
    }

    100% {
        box-shadow: 0 0 0 20px rgba(0, 123, 255, 0);
    }
}

.animate-click {
    animation: clickAnimation 0.5s ease-out;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

.blinking {
    animation: blink 0.5s step-start infinite;
}